pro jvm, galaxy

readcol, galaxy + ".spect.txt", plane, felocity, flux, eps, /silent

cc = mrdfits(galaxy + ".tmp.cc.fits",0,header,/silent)
resid = mrdfits(galaxy + ".tmp.resid.fits",/silent)

; get dimensions of cc and resid arrays
dim = size(cc,/dimensions)

; set up jvm-corrected array dimensions
jvm = fltarr(dim[0],dim[1],dim[2])

; idl (arrays start at 0) is one off from miriad (arrays start at 1)
for i=1,dim[2] do begin
    ind = where(i eq plane, count)
    if count gt 0 then begin
        jvm[*,*,i-1] = (fltarr(dim[0],dim[1]) + (eps[ind])[0]) $
	    * resid[*,*,i-1] + cc[*,*,i-1]
        ;stop
    endif

endfor

; unallocate arrays that don't matter anymore
cc=0
resid=0

mwrfits, reform(jvm, dim[0], dim[1], dim[2], 1), $
  galaxy + ".mrestor.jvm.fits", header, /create, /silent

;stop
end
